Bug 593837 - cannot import wx; symbol not defined in .so file
Summary: cannot import wx; symbol not defined in .so file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: wxPython
Version: el5
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Marek Mahut
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-19 19:50 UTC by David Mueller
Modified: 2010-06-18 16:44 UTC (History)
3 users (show)

Fixed In Version: wxPython-2.8.11.0-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-15 16:04:07 UTC


Attachments (Terms of Use)

Description David Mueller 2010-05-19 19:50:34 UTC
Description of problem:
wx cannot be imported. This looks similar to bug #587900 which was filed against Fedora 13. An ImportError is thrown when wx is imported.

Version-Release number of selected component (if applicable):
wxPython-2.8.7.1-2.el5

How reproducible:
Always (on both 32bit and 64bit CentOS 5.5)

Steps to Reproduce:
1. $ python
2. >>> import wx

Actual results:
$ python
Python 2.4.3 (#1, Sep  3 2009, 15:37:37) 
[GCC 4.1.2 20080704 (Red Hat 4.1.2-46)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import wx
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File "/usr/lib64/python2.4/site-packages/wx-2.8-gtk2-unicode/wx/__init__.py", line 45, in ?
    from wx._core import *
  File "/usr/lib64/python2.4/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 14524, in ?
    from _misc import *
  File "/usr/lib64/python2.4/site-packages/wx-2.8-gtk2-unicode/wx/_misc.py", line 4, in ?
    import _misc_
ImportError: /usr/lib64/python2.4/site-packages/wx-2.8-gtk2-unicode/wx/_misc_.so: symbol _ZN7wxSound6CreateEiPKh, version WXU_2.8 not defined in file libwx_gtk2u_adv-2.8.so.0 with link time reference
>>> 

Expected results:
wx should import successfully without any errors.

Additional info:
When wxPython was installed via yum, the following dependencies were also installed:

  wxBase.x86_64 0:2.8.11-1.el5
  wxGTK.x86_64 0:2.8.11-1.el5          
  wxGTK-gl.x86_64 0:2.8.11-1.el5   

From looking at "rpm -qi wxPython" and "rpm -qi wxBase", I noticed that the build date for wxPython is Wed 23 Apr 2008 10:24:04 PM PDT while the build date for wxBase is Mon 26 Apr 2010 04:11:00 AM PDT. From this and the bug #587900 thread, my guess is that wxPython needs to be rebuilt to match the new wx packages. I didn't see any new wxPython packages in epel-testing for EPEL5.

Comment 1 Fedora Update System 2010-05-31 10:11:35 UTC
wxPython-2.8.11.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/wxPython-2.8.11.0-1.fc12

Comment 2 Fedora Update System 2010-05-31 10:11:49 UTC
wxPython-2.8.11.0-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/wxPython-2.8.11.0-1.el5

Comment 3 Fedora Update System 2010-05-31 10:12:03 UTC
wxPython-2.8.11.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/wxPython-2.8.11.0-1.fc13

Comment 4 Fedora Update System 2010-05-31 10:12:16 UTC
wxPython-2.8.11.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wxPython-2.8.11.0-1.fc11

Comment 5 Fedora Update System 2010-05-31 18:13:26 UTC
wxPython-2.8.11.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxPython'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wxPython-2.8.11.0-1.fc12

Comment 6 Fedora Update System 2010-05-31 18:17:05 UTC
wxPython-2.8.11.0-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxPython'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wxPython-2.8.11.0-1.fc13

Comment 7 Fedora Update System 2010-05-31 18:26:40 UTC
wxPython-2.8.11.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxPython'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wxPython-2.8.11.0-1.fc11

Comment 8 Fedora Update System 2010-06-03 15:00:51 UTC
wxPython-2.8.11.0-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxPython'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wxPython-2.8.11.0-1.el5

Comment 9 Fedora Update System 2010-06-15 16:03:55 UTC
wxPython-2.8.11.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-06-15 16:05:00 UTC
wxPython-2.8.11.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-06-15 16:07:43 UTC
wxPython-2.8.11.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-06-18 16:43:59 UTC
wxPython-2.8.11.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.